# python3
from struct import pack

def p32(n: int) -> bytes:
    return pack('<I', n)

def dec(data: bytes, key: bytes) -> bytes:
    key_len = len(key)
    r = b''
    for i in range(len(data)):
        r = r + (data[i] ^ key[i % key_len]).to_bytes(1, 'little')
    return r

if __name__ == '__main__':
    d1, d2 = [], []

    d1.append(741548835)
    d1.append(0x49643F0E)
    d1.append(67771914)
    d1.append(436344355)
    d1.append(604530244)
    d1.append(745804082)
    d1.append(255995178)
    d1.append(224677950)
    d1.append(387646557)
    d1.append(84096534)
    d1.append(134815796)
    d1.append(237248867)
    d1.append(1479808021)
    d1.append(981018906)
    d1.append(1482031104)
    d1.append(84)

    d2.append(989990456)
    d2.append(874199833)
    d2.append(1042484251)
    d2.append(1108412467)
    d2.append(1931350585)

    d1 = b''.join([p32(i) for i in d1])
    d2 = b''.join([p32(i) for i in d2])

    k1 = b'nPTnaGLkIqdcQwvieFQKGcTGOTbfMjDNmvibfBDdFBhoPaBbtfQuuGWYomtqTFqvBSKdUMmciqKSGZaosWCSoZlcIlyQpOwkcAgw '
    k2 = b'KglPFOsQDxBPXmclOpmsdLDEPMRWbMDzwhDGOyqAkVMRvnBeIkpZIhFznwVylfjrkqprBPAdPuaiVoVugQAlyOQQtxBNsTdPZgDH '

    print (dec(d1,k1))
    print (dec(d2,k2))